All deployed products
All deployed products
All deployed products
Request
URI
GET
https://{opsmanager-installation}/api/v0/deployed/products
COPY
Responses
200
OK
Returns
Array of
DeployedProducts
of type(s)
application/json
OneOf
This class returns at least one of the following:
[
{
"installation_name": "string",
"guid": "string",
"type": "string",
"product_version": "string",
"label": "string",
"service_broker": false,
"bosh_read_creds": false,
"license_metadata": [
{
"expiry": "string",
"product_name": "string",
"product_version": "string",
"property_reference": "string"
}
],
"stale": {
"parent_products_deployed_more_recently": [
{}
]
}
}
]
array of
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/api/v0/deployed/products
Products Operations
DELETE
Deleting A single unused product
GET
Listing all available products
POST
Uploading A product
GET
Viewing A single deployed product
GET
Viewing the tile metadata for A deployed product
GET
All deployed products
DELETE
Removing A staged product
GET
Viewing A single staged product
PUT
Upgrading A staged product
GET
Viewing the tile metadata for A staged product
POST
Adding An available product
GET
All staged products